/*
 * This library is part of OpenCms -
 * the Open Source Content Management System
 *
 * Copyright (c) Alkacon Software GmbH (http://www.alkacon.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * For further information about Alkacon Software GmbH, please see the
 * company website: http://www.alkacon.com
 *
 * For further information about OpenCms, please see the
 * project website: http://www.opencms.org
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.opencms.workplace.tools.searchindex.sourcesearch;

import org.opencms.i18n.A_CmsMessageBundle;
import org.opencms.i18n.I_CmsMessageBundle;

/**
 * Convenience class to access the localized messages of this OpenCms package.
 * <p>
 * 
 * @since 7.5.3
 */
public final class Messages extends A_CmsMessageBundle {

    /** Message constant for key in the resource bundle. */
    public static final String GUI_SOURCESEARCH_FILES_LIST_NAME_0 = "GUI_SOURCESEARCH_FILES_LIST_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_SOURCESEARCH_SELECTFOLDER_DIALOG_MESSAGE_0 = "GUI_SOURCESEARCH_SELECTFOLDER_DIALOG_MESSAGE_0";

    /** Message constant for key in the resource bundle. */
    public static final String GUI_SOURCESEARCH_THREAD_NAME_0 = "GUI_SOURCESEARCH_THREAD_NAME_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_APPLY_PATTERN_ERROR_1 = "RPT_SOURCESEARCH_APPLY_PATTERN_ERROR_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_BEGIN_SEARCH_THREAD_0 = "RPT_SOURCESEARCH_BEGIN_SEARCH_THREAD_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_CLICK_OK_TO_GET_LIST_0 = "RPT_SOURCESEARCH_CLICK_OK_TO_GET_LIST_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_COULD_NOT_READ_FILE_0 = "RPT_SOURCESEARCH_COULD_NOT_READ_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_END_SEARCH_THREAD_0 = "RPT_SOURCESEARCH_END_SEARCH_THREAD_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_END_SEARCHING_0 = "RPT_SOURCESEARCH_END_SEARCHING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_END_SEARCHING_REPLACING_0 = "RPT_SOURCESEARCH_END_SEARCHING_REPLACING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_ERROR_READING_RESOURCES_1 = "RPT_SOURCESEARCH_ERROR_READING_RESOURCES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_LOCKED_FILE_0 = "RPT_SOURCESEARCH_LOCKED_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_LOCKED_FILES_1 = "RPT_SOURCESEARCH_LOCKED_FILES_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_MATCHED_0 = "RPT_SOURCESEARCH_MATCHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NO_FILES_FOUND_0 = "RPT_SOURCESEARCH_NO_FILES_FOUND_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NO_FILES_TO_REPLACE_FOUND_0 = "RPT_SOURCESEARCH_NO_FILES_TO_REPLACE_FOUND_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NO_FILES_TO_SEARCH_IN_0 = "RPT_SOURCESEARCH_NO_FILES_TO_SEARCH_IN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NOT_MATCHED_0 = "RPT_SOURCESEARCH_NOT_MATCHED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NR_OF_FILES_MATCHED_1 = "RPT_SOURCESEARCH_NR_OF_FILES_MATCHED_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NR_OF_FILES_TO_SEARCH_IN_1 = "RPT_SOURCESEARCH_NR_OF_FILES_TO_SEARCH_IN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NUMBER_OF_REPLACE_ERRORS_1 = "RPT_SOURCESEARCH_NUMBER_OF_REPLACE_ERRORS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_NUMBER_OF_SEARCH_ERRORS_1 = "RPT_SOURCESEARCH_NUMBER_OF_SEARCH_ERRORS_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_0 = "RPT_SOURCESEARCH_PARAMETERS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_EMPTY_REPLACEPATTERN_0 = "RPT_SOURCESEARCH_PARAMETERS_EMPTY_REPLACEPATTERN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_EMPTY_RESOURCE_PATHS_0 = "RPT_SOURCESEARCH_PARAMETERS_EMPTY_RESOURCE_PATHS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_EMPTY_SEARCHPATTERN_0 = "RPT_SOURCESEARCH_PARAMETERS_EMPTY_SEARCHPATTERN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_NOTEMPTY_REPLACEPATTERN_0 = "RPT_SOURCESEARCH_PARAMETERS_NOTEMPTY_REPLACEPATTERN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_PROJECT_1 = "RPT_SOURCESEARCH_PARAMETERS_PROJECT_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_REPLACEPATTERN_1 = "RPT_SOURCESEARCH_PARAMETERS_REPLACEPATTERN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_RESOURCE_PATH_1 = "RPT_SOURCESEARCH_PARAMETERS_RESOURCE_PATH_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_PARAMETERS_SEARCHPATTERN_1 = "RPT_SOURCESEARCH_PARAMETERS_SEARCHPATTERN_1";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_REPLACE_FAILED_0 = "RPT_SOURCESEARCH_REPLACE_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_REPLACE_SUCCESS_0 = "RPT_SOURCESEARCH_REPLACE_SUCCESS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_RESULT_0 = "RPT_SOURCESEARCH_RESULT_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_SEARCH_FAILED_0 = "RPT_SOURCESEARCH_SEARCH_FAILED_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_SEARCH_SUCCESS_0 = "RPT_SOURCESEARCH_SEARCH_SUCCESS_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_START_COLLECTING_FILES_TO_SEARCH_IN_0 = "RPT_SOURCESEARCH_START_COLLECTING_FILES_TO_SEARCH_IN_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_START_SEARCHING_0 = "RPT_SOURCESEARCH_START_SEARCHING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_START_SEARCHING_REPLACING_0 = "RPT_SOURCESEARCH_START_SEARCHING_REPLACING_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_UNLOCK_FILE_0 = "RPT_SOURCESEARCH_UNLOCK_FILE_0";

    /** Message constant for key in the resource bundle. */
    public static final String RPT_SOURCESEARCH_WRONG_ENVIRONMENT_REPLACING_0 = "RPT_SOURCESEARCH_WRONG_ENVIRONMENT_REPLACING_0";

    /** Name of the used resource bundle. */
    private static final String BUNDLE_NAME = "org.opencms.workplace.tools.searchindex.sourcesearch.messages";

    /** Static instance member. */
    private static final I_CmsMessageBundle INSTANCE = new Messages();

    /**
     * Hides the public constructor for this utility class.
     * <p>
     */
    private Messages() {

        // hide the constructor
    }

    /**
     * Returns an instance of this localized message accessor.
     * <p>
     * 
     * @return an instance of this localized message accessor
     */
    public static I_CmsMessageBundle get() {

        return INSTANCE;
    }

    /**
     * Returns the bundle name for this OpenCms package.
     * <p>
     * 
     * @return the bundle name for this OpenCms package
     */
    public String getBundleName() {

        return BUNDLE_NAME;
    }
}